---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: pg-registry-dump
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
  storageClassName: csi-rbd-sc

---
apiVersion: batch/v1
kind: Job
metadata:
  name: postgres-dump-job
spec:
  template:
    metadata:
      labels:
        app: postgres-dump
    spec:
      containers:
        - command:
            - pg_dump
            - -h
            - harbor-preview-harbor-database
            - -U
            - postgres
            - registry
            - -f
            - /backup/registry-$(date --iso-8601=seconds).sql
          image: postgres:9.6.2-alpine
          volumeMounts:
            - mountPath: /backup
              name: pg-registry-dump
          env:
            - name: PGPASSWORD
              valueFrom:
                secretKeyRef:
                  name: harbor-preview-harbor-database
                  key: POSTGRES_PASSWORD
          imagePullPolicy: IfNotPresent
          name: my-postgres-dump-container
      restartPolicy: Never
      volumes:
        - name: pg-registry-dump
          persistentVolumeClaim:
            claimName: pg-registry-dump
